import { DynamicModule, Module } from "@nestjs/common";
import { ConfigModule } from "@nestjs/config";
import { AskarRestModule } from "./askar-rest/askar.rest.module";
import { AskarModule } from "./askar/askar.module";

@Module({})
export class AskarDynamicModule {
  static forRootAsync(): DynamicModule {
    return {
      module: AskarDynamicModule,
      imports: [ConfigModule, AskarModule, AskarRestModule],
      providers: [AskarRestModule],
      exports: [AskarModule],
    };
  }
}
