import { registerAs } from "@nestjs/config";
import * as process from "process";
import { IConfIpfs } from "../interfaces/ipfs.config.interface";

export const ipfsConfig = registerAs(
  "ipfs",
  (): IConfIpfs => ({
    ipfsUrl: process.env["IPFS_URL"]!,
    ipfsBasicUser: process.env["IPFS_BASIC_USER"]!,
    ipfsBasicPass: process.env["IPFS_BASIC_PASS"]!,
  }),
);
