import { AnonCredsProof, AnonCredsProofRequest } from "@credo-ts/anoncreds";

export class ProofFormatDataDto {
  public anoncredsProposal?: AnonCredsProofRequest;
  public anoncredsRequest?: AnonCredsProofRequest;
  public anoncredsPresentation?: AnonCredsProof;

  public static fromJson(json: InstanceType<typeof ProofFormatDataDto>) {
    const dto = new ProofFormatDataDto();
    dto.anoncredsProposal = json.anoncredsProposal;
    dto.anoncredsRequest = json.anoncredsRequest;
    dto.anoncredsPresentation = json.anoncredsPresentation;
    return dto;
  }
}
