export type FormType = "privatePerson" | "legalParticipant" | "custom";

export interface PrivatePersonFormData {
  name: string;
  dateOfBirth: string;
  street: string;
  building: string;
  city: string;
  country: string;
}

export interface LegalParticipantFormData {
  companyName: string;
  taxID: string;
  gleiCode: string;
  street: string;
  building: string;
  city: string;
  country: string;
}
