export interface Config {
  OCMENGINE_HTTP_URL: string;
  TSA_URL: string;
  OCMENGINE_AUTHORIZATION: string | null | undefined;
}

const lsHttp = localStorage.getItem("OCMENGINE_HTTP_URL");
const authorization = localStorage.getItem("OCMENGINE_AUTHORIZATION");
const tsaHttp = localStorage.getItem("TSA_URL");
export const getConfig = (): Config => {
  return {
    OCMENGINE_HTTP_URL: lsHttp || window.OCMENGINE_HTTP_URL,
    TSA_URL: tsaHttp || window.TSA_URL,
    OCMENGINE_AUTHORIZATION: authorization,
  };
};

export default getConfig;
