import { registerAs } from "@nestjs/config";
import * as process from "process";
import { IConfCatalog } from "../interfaces/catalog.config.interface";

export const catalogConfig = registerAs(
  "catalog",
  (): IConfCatalog => ({
    catalogUrl: process.env["CATALOG_URL"]!,
  }),
);
